<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="bascula">
        <pm:header>
            Registros
        </pm:header>
        <pm:content>
            <h:form id="indexForm">
                <p:panel header="Pallet  LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]">
                    <p:messages id="mensaje" showDetail="true" autoUpdate="true" />
                    <p:growl id="growl" showDetail="true" sticky="true"></p:growl>
                    <p:button value="Nuevo" outcome="#{palletMB.seleccionNuevoMobile()}"/>
                    <p:scrollPanel mode="native" style="width:99%;height:500px">
                        <p:dataList id="datalist" value="#{palletMB.todos}"
                                    var="registros" pt:data-filter="true"  
                                    pt:data-filter-placeholder="Búsqueda por filtro" style="width:90%;height:100%" >
                            <p:commandLink action="#{palletMB.seleccionEditarMovil(registros)}" update=":registroEditar:regEdicion" >
                                <f:setPropertyActionListener
                                    value="#{registros}" target="#{palletMB.registroSeleccionado}" />   
                                <f:param name="id" value="#{registros.id}"/>
                                <h:panelGroup>
                                    <h:outputText value="#{registros.id} - #{registros.numero}"/> 
                                </h:panelGroup>
                            </p:commandLink>
                        </p:dataList>
                    </p:scrollPanel>
                </p:panel>
            </h:form>
        </pm:content>
        <pm:footer>
            <p:button value="Menú" outcome="./menup.xhtml"  style="width:100%;height:30px;font-weight: bold;margin-right:30px;" />
        </pm:footer>
    </pm:page>
    <pm:page id="registroEditar">
        <pm:header>
            Edición de Registro Pallet
        </pm:header>
        <pm:content>
            <p:panel id="regEdicion" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                <h:form id="editForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="3" >
                        
                        <p:outputLabel for="id" value="Id: "  style="font-weight: bold"/>
                        <p:inputText id="id" value="#{palletMB.registroSeleccionado.id}"  readonly="true" style="width:99%"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="numero1" value="Folio: "  style="font-weight: bold"/>
                        <p:inputText id="numero1" value="#{palletMB.registroSeleccionado.numero}"  readonly="true"  style="width:99%"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="cajas" value="Número de Cajas:"  style="font-weight: bold"/>
                        <p:inputNumber id="cajas" value="#{palletMB.registroSeleccionado.cajas}"  readonly="true"/> 
                        <p:outputLabel value="* Campo de lectura"/>
                        
                        <p:outputLabel for="ctarima" value="C. Tarima: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="ctarima"  value="#{palletMB.registroSeleccionado.idtarima}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El campo tarima es requerido" style="width:99%">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{palletMB.cat_tarima}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="cmarca" value="C. Marca: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="cmarca"  value="#{palletMB.registroSeleccionado.idmarca}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El campo marca es requerido" style="width:99%">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{palletMB.cat_marca}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="id_" value=""/>
                        <p:inputText id="id_" value="#{palletMB.registroSeleccionado.id}" type="hidden" /> 
                        <p:outputLabel value=""/>
                        
                    </h:panelGrid> 
                    <p:commandButton value="Guardar registro" ajax="false" icon="ui-icon-contact"
                                    action="#{palletMB.editarRegistro(
                                    palletMB.registroSeleccionado.id,0,
                                    palletMB.registroSeleccionado.idtarima,
                                    palletMB.registroSeleccionado.idmarca)}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cancelar operación"  ajax="false" icon="ui-icon-contact"  />
                </h:form>
            </p:panel>
        </pm:content> 
    </pm:page>
    <pm:page id="registroNuevo">
        <pm:header>
            Nuevo de Registro Pallet
        </pm:header>
        <pm:content>
            <p:panel id="regNuevo" header="Nuevo LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                <h:form id="nuevoForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="3" >
                        
                        <p:outputLabel for="cajas1" value="Número de Cajas:"  style="font-weight: bold"/>
                        <p:inputText id="cajas1" value="#{palletMB.registroAnexar.cajas}"  readonly="true" style="width:99%"/> 
                        <p:outputLabel value="* Campo de lectura"/>
                        
                        <p:outputLabel for="ctarima1" value="C. Tarima: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="ctarima1"  value="#{palletMB.idtarima}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El campo tarima es requerido"  style="width:99%">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{palletMB.cat_tarima}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="cmarca1" value="C. Marca: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="cmarca1"  value="#{palletMB.idmarca}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El campo marca es requerido"  style="width:99%">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{palletMB.cat_marca}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel value="* Campo requerido"/>               
                    </h:panelGrid> 
                    <p:commandButton value="Crear" ajax="false" icon="ui-icon-contact"
                                    action="#{palletMB.anexarRegistro(
                                    palletMB.idtarima,
                                    palletMB.idmarca)}"
                                    update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cancelar"  ajax="false" icon="ui-icon-contact"  />
                </h:form>
            </p:panel>
        </pm:content> 
    </pm:page>
</h:body>
</html>